<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class ProductSize extends Eloquent {

	protected $table = 'product_size';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];

	public function ingredient()
	{
		return $this->hasMany('ProductSizeIngredient');
	}

	public function product()
	{
		return $this->belongsTo('Product');
	}

	public function size()
	{
		return $this->belongsTo('Size');
	}

}